package com.kingdee.eas.custom.integration.apimgt;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.custom.integration.apimgt.app.*;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class ApiCallLog extends CoreBillBase implements IApiCallLog
{
    public ApiCallLog()
    {
        super();
        registerInterface(IApiCallLog.class, this);
    }
    public ApiCallLog(Context ctx)
    {
        super(ctx);
        registerInterface(IApiCallLog.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("DEB44AF5");
    }
    private ApiCallLogController getController() throws BOSException
    {
        return (ApiCallLogController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public ApiCallLogCollection getApiCallLogCollection() throws BOSException
    {
        try {
            return getController().getApiCallLogCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public ApiCallLogCollection getApiCallLogCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getApiCallLogCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public ApiCallLogCollection getApiCallLogCollection(String oql) throws BOSException
    {
        try {
            return getController().getApiCallLogCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public ApiCallLogInfo getApiCallLogInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getApiCallLogInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public ApiCallLogInfo getApiCallLogInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getApiCallLogInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public ApiCallLogInfo getApiCallLogInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getApiCallLogInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}